Module javafx.graphics
Package javafx.scene.effect

# Class ColorInput

java.lang.Object
javafx.scene.effect.Effect
javafx.scene.effect.ColorInput

    public class ColorInput
    extends Effect

An effect that renders a rectangular region that is filled ("flooded") with the given `Paint`. This is equivalent to rendering a filled rectangle into an image and using an `ImageInput` effect, except that it is more convenient and potentially much more efficient.

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type | Property | Description
  --- | --- | ---
  `DoubleProperty` | `height` | Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.
  `ObjectProperty<Paint>` | `paint` | The `Paint` used to flood the region.
  `DoubleProperty` | `width` | Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.
  `DoubleProperty` | `x` | Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.
  `DoubleProperty` | `y` | Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ColorInput()` | Creates a new instance of ColorInput with default parameters.
  `ColorInput​(double x, double y, double width, double height, Paint paint)` | Creates a new instance of ColorInput with the specified x, y, width, height, and paint.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `double` | `getHeight()` | Gets the value of the property height.
  `Paint` | `getPaint()` | Gets the value of the property paint.
  `double` | `getWidth()` | Gets the value of the property width.
  `double` | `getX()` | Gets the value of the property x.
  `double` | `getY()` | Gets the value of the property y.
  `DoubleProperty` | `heightProperty()` | Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.
  `ObjectProperty<Paint>` | `paintProperty()` | The `Paint` used to flood the region.
  `void` | `setHeight​(double value)` | Sets the value of the property height.
  `void` | `setPaint​(Paint value)` | Sets the value of the property paint.
  `void` | `setWidth​(double value)` | Sets the value of the property width.
  `void` | `setX​(double value)` | Sets the value of the property x.
  `void` | `setY​(double value)` | Sets the value of the property y.
  `DoubleProperty` | `widthProperty()` | Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.
  `DoubleProperty` | `xProperty()` | Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.
  `DoubleProperty` | `yProperty()` | Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### paint

    public final ObjectProperty<Paint> paintProperty
    The `Paint` used to flood the region.

               Min: n/a
               Max: n/a
           Default: Color.RED
          Identity: n/a

    Default value:
      RED
    See Also:
      `getPaint()`, `setPaint(Paint)`

  - ### x

    public final DoubleProperty xProperty
    Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.

               Min: n/a
               Max: n/a
           Default: 0.0
          Identity: 0.0

    Default value:
      0.0
    See Also:
      `getX()`, `setX(double)`

  - ### y

    public final DoubleProperty yProperty
    Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

               Min: n/a
               Max: n/a
           Default: 0.0
          Identity: 0.0

    Default value:
      0.0
    See Also:
      `getY()`, `setY(double)`

  - ### width

    public final DoubleProperty widthProperty
    Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.

               Min: n/a
               Max: n/a
           Default: 0.0
          Identity: 0.0

    Default value:
      0.0
    See Also:
      `getWidth()`, `setWidth(double)`

  - ### height

    public final DoubleProperty heightProperty
    Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.

               Min: n/a
               Max: n/a
           Default: 0.0
          Identity: 0.0

    Default value:
      0.0
    See Also:
      `getHeight()`, `setHeight(double)`

- ## Constructor Details

  - ### ColorInput

    public ColorInput()
    Creates a new instance of ColorInput with default parameters.

  - ### ColorInput

    public ColorInput​(double x, double y, double width, double height, Paint paint)
    Creates a new instance of ColorInput with the specified x, y, width, height, and paint.
    Parameters:
      `x` - the x location of the region to be flooded
      `y` - the y location of the region to be flooded
      `width` - the width of the region to be flooded
      `height` - the height of the region to be flooded
      `paint` - the `Paint` used to flood the region
    Since:
      JavaFX 2.1

- ## Method Details

  - ### setPaint

    public final void setPaint​(Paint value)
    Sets the value of the property paint.
    Property description:
      The `Paint` used to flood the region.

                 Min: n/a
                 Max: n/a
             Default: Color.RED
            Identity: n/a

    Default value:
      RED

  - ### getPaint

    public final Paint getPaint()
    Gets the value of the property paint.
    Property description:
      The `Paint` used to flood the region.

                 Min: n/a
                 Max: n/a
             Default: Color.RED
            Identity: n/a

    Default value:
      RED

  - ### paintProperty

    public final ObjectProperty<Paint> paintProperty()
    The `Paint` used to flood the region.

               Min: n/a
               Max: n/a
           Default: Color.RED
          Identity: n/a

    Default value:
      RED
    See Also:
      `getPaint()`, `setPaint(Paint)`

  - ### setX

    public final void setX​(double value)
    Sets the value of the property x.
    Property description:
      Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

    Default value:
      0.0

  - ### getX

    public final double getX()
    Gets the value of the property x.
    Property description:
      Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

    Default value:
      0.0

  - ### xProperty

    public final DoubleProperty xProperty()
    Sets the x location of the region to be flooded, relative to the local coordinate space of the content `Node`.

               Min: n/a
               Max: n/a
           Default: 0.0
          Identity: 0.0

    Default value:
      0.0
    See Also:
      `getX()`, `setX(double)`

  - ### setY

    public final void setY​(double value)
    Sets the value of the property y.
    Property description:
      Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

    Default value:
      0.0

  - ### getY

    public final double getY()
    Gets the value of the property y.
    Property description:
      Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

    Default value:
      0.0

  - ### yProperty

    public final DoubleProperty yProperty()
    Sets the y location of the region to be flooded, relative to the local coordinate space of the content `Node`.

               Min: n/a
               Max: n/a
           Default: 0.0
          Identity: 0.0

    Default value:
      0.0
    See Also:
      `getY()`, `setY(double)`

  - ### setWidth

    public final void setWidth​(double value)
    Sets the value of the property width.
    Property description:
      Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

    Default value:
      0.0

  - ### getWidth

    public final double getWidth()
    Gets the value of the property width.
    Property description:
      Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

    Default value:
      0.0

  - ### widthProperty

    public final DoubleProperty widthProperty()
    Sets the width of the region to be flooded, relative to the local coordinate space of the content `Node`.

               Min: n/a
               Max: n/a
           Default: 0.0
          Identity: 0.0

    Default value:
      0.0
    See Also:
      `getWidth()`, `setWidth(double)`

  - ### setHeight

    public final void setHeight​(double value)
    Sets the value of the property height.
    Property description:
      Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

    Default value:
      0.0

  - ### getHeight

    public final double getHeight()
    Gets the value of the property height.
    Property description:
      Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

    Default value:
      0.0

  - ### heightProperty

    public final DoubleProperty heightProperty()
    Sets the height of the region to be flooded, relative to the local coordinate space of the content `Node`.

               Min: n/a
               Max: n/a
           Default: 0.0
          Identity: 0.0

    Default value:
      0.0
    See Also:
      `getHeight()`, `setHeight(double)`